Debian Bug report logs - #199519
kernel-patch-2.4-grsecurity: the patch does not apply cleanly to the 2.4.21 debian kernel sources

version graph

Package: kernel-patch-grsecurity2; Maintainer for kernel-patch-grsecurity2 is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for kernel-patch-grsecurity2 is src:linux-patch-grsecurity2.

Reported by: Giacomo Mulas <gmulas@ca.astro.it>

Date: Tue, 1 Jul 2003 14:48:01 UTC

Severity: wishlist

Tags: confirmed, help, patch, wontfix

Merged with 194225, 206458, 211213

Fixed in versions 2.0.1-2, kernel-patch-grsecurity2/2.0.1-2

Done: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#199519; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to Giacomo Mulas <gmulas@ca.astro.it>:
New Bug report received and forwarded. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giacomo Mulas <gmulas@ca.astro.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-patch-2.4-grsecurity: the patch does not apply cleanly to the 2.4.21 debian kernel sources
Date: Tue, 01 Jul 2003 16:21:00 +0200
Package: kernel-patch-2.4-grsecurity
Version: 1.9.10-1
Severity: important
Tags: sid

The provided patch applies cleanly only to the vanilla 2.4.21 kernel
sources, there are a few rejects when one attempts to apply it on the debian
kernel sources. I also tried reverting the order of patches, but it does not
work either. Some rejects are trivial, at least one is not (for me) in
fs/proc/proc_misc.c, since the debian kernel changes the way the "modules"
entry is initialised in proc_misc and I am not familiar enough with this
stuff to adapt the patch myself. Perhaps it should be noted somewhere that
the patch provided applies only to the vanilla kernel, in the meanwhile.

Bye
Giacomo

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux capitanata 2.4.20-fsw-ck-aa-crypto #1 lun mar 24 15:55:03 CET 2003 i686
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro

Versions of packages kernel-patch-2.4-grsecurity depends on:
ii  bash                          2.05b-8.1  The GNU Bourne Again SHell
ii  grep-dctrl                    1.11       Grep Debian package information
ii  kernel-patch-scripts          0.99.24    Scripts to help dealing with packa
ii  patch                         2.5.9-1    Apply a diff file to an original

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#199519; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #10 received at 199519@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 206458@bugs.debian.org, 199510@bugs.debian.org, 194225@bugs.debian.org, 203759@bugs.debian.org, 204424@bugs.debian.org
Cc: control@bugs.debian.org
Subject: more info needed
Date: Tue, 2 Sep 2003 22:50:53 +0200
[Message part 1 (text/plain, inline)]
severity 194225 important
severity 203759 important
severity 204424 important
severity 206458 important
tags 194225 +moreinfo +help
tags 199510 +moreinfo +help
tags 203759 +moreinfo +help
tags 204424 +moreinfo +help
tags 206458 +moreinfo +help
merge 194225 206458
merge 204424 203759
thanks

Hey thee, submitters of bugs...

If you expect me to fix the bug in the grsecurity kernel patch not
applying cleanly to your version of the kernel (whichever that was),
then please provide more information. Building a kernel with patches
takes more time than I have. Please give me the output of `make-kpkg
configure`, but try to trim it down to the stuff related to
grsecurity.

Also, a tarball of *just* the .rej files would be incredibly
helpful. Try to put that somewhere for download, upload it to
ftp://ftp.madduck.net/incoming, just please don't send it via email.

I will tag these bugs as wontfix if I don't receive help on them.
The reason is that 2.4.22 is out, and thus these problems are
theoretically problems of the past.

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#199519; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to "Martin-�ric Racine" <q-funk@pp.fishpool.fi>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #19 received at 199519@bugs.debian.org (full text, mbox):

From: "Martin-Éric Racine" <q-funk@pp.fishpool.fi>
To: Debian Bug Tracking System <199519@bugs.debian.org>
Subject: kernel-patch-2.4-grsecurity: still fails to apply, completely, this time
Date: Tue, 09 Sep 2003 03:40:39 +0300
Package: kernel-patch-2.4-grsecurity
Version: 1.9.12-1
Followup-For: Bug #199519

In fact, the quantity of rejects is big enough to prevent the appearance of the GrSecurity
configuration menu completely (this was not the case before, on older kernels with older GrSec):

<root@share:/usr/src/kernel-source-2.4.21># /usr/src/kernel-patches/all/apply/grsecurity-2-4
Testing whether "Greater Security for Linux 2.4.x" patch for 2.4.21 applies (dry run):
1 out of 3 hunks FAILED -- saving rejects to file Makefile.rej
1 out of 11 hunks FAILED -- saving rejects to file fs/binfmt_elf.c.rej
1 out of 19 hunks FAILED -- saving rejects to file fs/open.c.rej
1 out of 2 hunks FAILED -- saving rejects to file fs/proc/proc_misc.c.rej
1 out of 1 hunk FAILED -- saving rejects to file fs/proc/proc_tty.c.rej
1 out of 5 hunks FAILED -- saving rejects to file kernel/fork.c.rej
1 out of 2 hunks FAILED -- saving rejects to file net/ipv4/ip_output.c.rej
2 out of 6 hunks FAILED -- saving rejects to file net/ipv4/tcp_ipv4.c.rej
1 out of 6 hunks FAILED -- saving rejects to file net/ipv4/udp.c.rej
"Greater Security for Linux 2.4.x" patch for 2.4.21 does not apply cleanly

ii  kernel-source-2.4.21  2.4.21-5              Linux kernel source for version 2.4.21 with Debian patches

I strongly recommend NOT releasing any new Debian packages of GrSecurity, until the patch is actually
tested against specific Debian-patched kernel-source-* releases.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux share 2.4.19 #2 la elo    2 15:49:21 EEST 2003 i686
Locale: LANG=fi_FI@euro, LC_CTYPE=fi_FI@euro (ignored: LC_ALL set to fi_FI@euro)

Versions of packages kernel-patch-2.4-grsecurity depends on:
ii  bash                          2.05b-8.1  The GNU Bourne Again SHell
ii  grep-dctrl                    1.11       Grep Debian package information
ii  kernel-patch-scripts          0.99.27    Scripts to help dealing with packa
ii  patch                         2.5.9-1    Apply a diff file to an original

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#199519; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to cavok@filibusta.crema.unimi.it (Domenico Andreoli):
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #24 received at 199519@bugs.debian.org (full text, mbox):

From: cavok@filibusta.crema.unimi.it (Domenico Andreoli)
To: 194225@bugs.debian.org, 199519@bugs.debian.org, 210762@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: kernel-patch-2.4-grsecurity: does not apply cleanly to kernel-source-2.4.20, 2.4.21 and 2.4.22
Date: Fri, 19 Sep 2003 04:44:07 +0200
hi martin,

i want to inform you that these bugs about grsecurity patch not applying
correctly to kernel-source-2.4.2x are all easily reproducible.

it suffices to install the kernel package and your grsecurity patch
and try to compile the kernel.

BTW i mostly converted the grsecurity patch for 2.4.22 (see bug #211213),
it was quite easy. with some (little) help from kernel maintainer i'm
sure it is possible to perform a full conversion. actually my patch
breaks randomization of IP IDs.

looking to other packaged patches, it seems possible to make two distinct
patches for both vanilla and debian kernel. this way you can support
both kind of kernel users.

IMHO your way to manage with these bug reports is insufficient, it
reminds me a ostrich with its head in the sand. sorry.

ciao
domenico

-----[ Domenico Andreoli, aka cavok
 --[ http://filibusta.crema.unimi.it/~cavok/gpgkey.asc
   ---[ 3A0F 2F80 F79C 678A 8936  4FEE 0677 9033 A20E BC50



Tags removed: moreinfo, sid Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix, confirmed Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#199519; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #35 received at 199519@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: undisclosed-recipients: ;
Subject: grsecurity bugs
Date: Sun, 21 Sep 2003 14:01:29 +0200
[Message part 1 (text/plain, inline)]
I have uploaded a new version of grsecurity. However, it won't
support Debian kernels 2.4.20 and up. README.2.4.2x in the package
will tell you why. In addition:

  http://lists.debian.org/debian-devel/2003/debian-devel-200309/msg01133.html

I am sorry if this inconveniences you. I don't have a choice, not
only because I can't afford to put more time into this, but also
because I am not going to remove functionality from grsecurity,
which would be required to cater for the Debian kernels.

Please complain to the kernel maintainer(s) if you don't like this.
Or just use a vanilla kernel source tree.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Merged 194225 199519 206458. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 194225 199519 206458 211213. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-patch-2.4-grsecurity' to `kernel-patch-grsecurity2'. Request was from Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Giacomo Mulas <gmulas@ca.astro.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 194225-done@bugs.debian.org (full text, mbox):

From: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>
To: 267851-done@bugs.debian.org, 194225-done@bugs.debian.org, 199519-done@bugs.debian.org, 206458-done@bugs.debian.org, 211213-done@bugs.debian.org
Subject: fixed in 2.0.1-2
Date: Sun, 19 Sep 2004 22:18:26 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 17 Sep 2004 17:37:27 +0000
Source: kernel-patch-grsecurity2
Binary: kernel-patch-grsecurity2
Architecture: source all
Version: 2.0.1-2
Distribution: unstable
Urgency: medium
Maintainer: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Changed-By: LĂĄszlĂł BĂśszĂśrmĂŠnyi (GCS) <gcs@lsc.hu>
Description: 
 kernel-patch-grsecurity2 - grsecurity kernel patch - new major upstream version
Changes: 
 kernel-patch-grsecurity2 (2.0.1-2) unstable; urgency=medium
 .
   * Port grsecurity2-2.4.27 to the Debian kernel, this makes easier for
     users to follow Debian kernels with backported security fixes once
     stable (Sarge) is released. Thanks for everyone testing it!
   * Include PaX patches as well.
   * Update template descriptions, thanks to Luk Claes, Eric and Hideki
     Yamane again.
Files: 
 da6f56b55c156005170b49d83a9b5c50 574 devel extra kernel-patch-grsecurity2_2.0.1-2.dsc
 3f76987dc5083a3a949a248f2baa7e11 796274 devel extra kernel-patch-grsecurity2_2.0.1-2.tar.gz
 7d04680fd5fede4858494e760f1855ec 802936 devel extra kernel-patch-grsecurity2_2.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBSzQiMDatjqUaT90RAlR3AJ9fu2wf+rYI9paa3RgHIfxIhZkMiACgjHf7
myAdnkR2UlY/R6Rb4uMoMYc=
=dPlA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:29:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.